# Opal_RFC4175RGB_to_RGB24 Class Reference

`#include <rfc4175.h>`

Inheritance diagram for Opal_RFC4175RGB_to_RGB24:

[legend]
Collaboration diagram for Opal_RFC4175RGB_to_RGB24:
[legend]

## Public Member Functions

| Opal_RFC4175RGB_to_RGB24 ()
PINDEX | GetPgroupSize () const
PINDEX | GetColsPerPgroup () const
PINDEX | GetRowsPerPgroup () const
PINDEX | PixelsToBytes (PINDEX pixels) const
PINDEX | BytesToPixels (PINDEX bytes) const
bool | DecodeFrames (RTP_DataFrameList &output)

## Detailed Description

This class defines a transcoder implementation class that converts RFC4175 to RGB24

## Constructor & Destructor Documentation

Opal_RFC4175RGB_to_RGB24::Opal_RFC4175RGB_to_RGB24 | ( |  | ) | `[inline]`

## Member Function Documentation

PINDEX Opal_RFC4175RGB_to_RGB24::BytesToPixels | ( | PINDEX | bytes | ) | const`[inline, virtual]`

Implements OpalRFC4175Decoder.

bool Opal_RFC4175RGB_to_RGB24::DecodeFrames | ( | RTP_DataFrameList & | output | ) | `[virtual]`

Implements OpalRFC4175Decoder.

PINDEX Opal_RFC4175RGB_to_RGB24::GetColsPerPgroup | ( |  | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

PINDEX Opal_RFC4175RGB_to_RGB24::GetPgroupSize | ( |  | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

PINDEX Opal_RFC4175RGB_to_RGB24::GetRowsPerPgroup | ( |  | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

PINDEX Opal_RFC4175RGB_to_RGB24::PixelsToBytes | ( | PINDEX | pixels | ) | const`[inline, virtual]`

Implements OpalRFC4175Decoder.

The documentation for this class was generated from the following file:

- rfc4175.h